Support » Plugin: MailPoet - emails and newsletters in WordPress » MAILPOET 3.19.0 BROKE MY WEBSITE

  • Resolved nardog03

    (@nardog03)


    I enjoy using this plugin and after countless reviews, I have never once had an issue until now. My product page on my ecommerce website is broken because of the plugin I had to deactivate it to get my website back working again. Mail Poet can you address this issue please I am using PHP 7.1.

Viewing 15 replies - 1 through 15 (of 15 total)
  • I just had the same issue and had to deactivate mail poet

    Same problem here!

    Plugin Author MailPoet

    (@wysija)

    Hi All,

    Do any of you receive specific error messages you can supply us to check the problem? As we aren’t able to replicate the issue currently.

    If you just see a white screen in your wp-config.php set WP_DEBUG to true, rather than false and then re-load the page and copy and paste the error back in a response here.

    Thanks!

    Hi there,

    You can rollback to the previous version using wp-cli if your hosting provider allows it, you can use this command from SSH:

    wp plugin install mailpoet --version=3.18.0 --force

    (Agency Licence)

    ALERT! 3.19.0.-Update broke all of our Websites! Please fix this asap!

    Fatal error: Uncaught IdiormMethodMissingException: Method getValue() does not exist in class ORMWrapper in /www/htdocs/w016bf94/xyz.com/wp-content/plugins/mailpoet/vendor/j4mie/idiorm/idiorm.php:2271 Stack trace: #0 /www/htdocs/w016bf94/xyz.com/wp-content/plugins/mailpoet/vendor/j4mie/paris/paris.php(699): ORM->__call(‘getValue’, Array) #1 /www/htdocs/w016bf94/xyz.com/wp-content/plugins/mailpoet/lib/Models/Model.php(332): Model::__callStatic(‘getValue’, Array) #2 /www/htdocs/w016bf94/xyz.com/wp-content/plugins/elementor-pro/modules/forms/actions/mailpoet3.php(56): MailPoet\Models\Model::__callStatic(‘getValue’, Array) #3 /www/htdocs/w016bf94/xyz.com/wp-content/plugins/elementor-pro/modules/forms/widgets/form.php(706): ElementorPro\Modules\Forms\Actions\Mailpoet3->register_settings_section(Object(ElementorPro\Modules\Forms\Widgets\Form)) #4 /www/htdocs/w016bf94/xyz.com/wp-content/plugins/elementor/includes/base/controls-stack.php(1920): El in /www/htdocs/w016bf94/xyz.com/wp-content/plugins/mailpoet/vendor/j4mie/idiorm/idiorm.php on line 2271

    • This reply was modified 1 month, 2 weeks ago by  Thomas Rinkl.
    • This reply was modified 1 month, 2 weeks ago by  Thomas Rinkl.
    • This reply was modified 1 month, 2 weeks ago by  Thomas Rinkl.
    Plugin Author MailPoet

    (@wysija)

    Hi All,

    We’ve now managed to replicate the issue which is a bug with Elementor’s Pro integration of the MailPoet 3 code.

    We have reached out to the Elementor team with specific details so they can fix it.

    In the meantime, you’ll need to either deactivate Elementor Pro or downgrade to the last version of MailPoet.

    Thanks!

    thanks a lot. where can I find the last version of mailpoet?

    Plugin Author MailPoet

    (@wysija)

    You can download older versions by going to the bottom of the page here: https://wordpress.org/plugins/mailpoet/advanced/

    We’ve now managed to replicate the issue which is a bug with Elementor’s Pro integration of the MailPoet 3 code.

    We have reached out to the Elementor team with specific details so they can fix it.

    In the meantime, you’ll need to either deactivate Elementor Pro or downgrade to the last version of MailPoet.

    Thanks.

    I think you should have tested this before. Elementor is the most used wordpress page builder in use on millions of pages. Please think about your update policy.

    Hi

    I also have a problem, but have not installed Elementor. So I doubt it is only caused by Elementor. In my case the site is running but the plugin mailpoet bouncehandler shows a blanc screen.
    I already provided the logs in another topic, where it was asked fore.
    So the drastic change causes incompatibility with other plugins.
    I hope you can create a fix soon.
    I am a happy user of Mailpoet, but this should be prevented in future releases.

    If I uninstall mail poet to install the earlier version, will my data be wiped?
    Do you have back out instructions? We have several live sites this is affecting and can’t loose the data.

    No your data is left behind, just download 3.18.2
    Deactivate the current version, delete it, download 3.18.2 and install it
    I just reverted the version, and now mailpoet bouncehandler is working again!
    But always make a backup of your site before removing Mailpoet

    Plugin Author MailPoet

    (@wysija)

    Hi there @dyermaker610,

    As Peter said your data won’t be deleted if you downgrade. All data is intact and kept on the database and does not delete itself on plugin deletion.

    Though before any plugin is updated or deleted will always recommend a full database backup to be safe.

    Thanks!

    Plugin Author MailPoet

    (@wysija)

    Hey everyone,

    Just to let you know we’ve made minor adjustments to assist third-party plugins using MailPoet integrations, including Elementor plugin, in the latest release 3.19.1.

    It should be working now.

    Thanks for your patience.

    we’ve made minor adjustments to assist third-party plugins using MailPoet integrations, including Elementor plugin, in the latest release 3.19.1.

    Swag

    • This reply was modified 1 month, 1 week ago by  Thomas Rinkl.
Viewing 15 replies - 1 through 15 (of 15 total)
  • You must be logged in to reply to this topic.